Bug 965820 - fedora-review doesn't respect nice level
fedora-review doesn't respect nice level
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
18
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 15:44 EDT by Steve
Modified: 2013-10-15 04:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 04:25:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2013-05-21 15:44:32 EDT
I'm running fedora-review from a shell that's been renice'd to 10, so that my builds don't make the machine chug.  However, fedora-review itself seems to run at normal priority, i.e. 0.  The nice level of the invoking program should be passed on to the mock build.

This is by no means a critical error; it'd just be nice if it was fixed.  I really appreciate fedora-review's automatic checking of package-review issues!
Comment 1 Stanislav Ochotnicky 2013-10-14 12:10:17 EDT
fedora-review itself doesn't touch nice levels in any way.

$ nice -19 fedora-review -b 995025 &
...

$ ps -C mock -o pid,comm,nice
  PID COMMAND          NI
22181 mock             19

If you use renice & combination of nested shells (such as midnight commander) then renice will not work as expected but that's nothing to do with fedora-review. None of child processes will be affected by renice that happens after fork.
Comment 2 Steve 2013-10-14 23:43:25 EDT
No, I mean "renice" as in:

$ renice 10 $$
$ fedora-review ...
Comment 3 Stanislav Ochotnicky 2013-10-15 04:25:40 EDT
Again, fedora-review does not touch nice level in any way.

$ nice
0
$ renice 10 -p $$ 
1023 (process ID) old priority 0, new priority 10
w0rm@so-f19 ~ 
$ fedora-review -b 995025
INFO: Processing bugzilla bug: 995025
INFO: Getting .spec and .srpm Urls from : 995025
INFO:   --> SRPM url: http://msimacek.fedorapeople.org/rnv-1.7.11-5.fc19.src.rpm
INFO:   --> Spec url: http://msimacek.fedorapeople.org/rnv.spec
...

# different terminal
$ ps -C fedora-review -o pid,comm,nice
  PID COMMAND          NI
30878 fedora-review    10

I suggest you double check your shell settings and verify that other programs are unaffected

Note You need to log in before you can comment on or make changes to this bug.